JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.tasks.stop('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.cancelled);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.tasks.stop(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.cancelled)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Tasks.Stop(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Cancelled)
}mobilerun-cloud tasks stop \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.mobilerun.ai/tasks/{task_id}/cancel \
--header 'Authorization: Bearer <token>'
{
"cancelled": true
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "Unauthorized",
"status": 401,
"detail": "You are not authorized to access this resource",
"errors": []
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}Tasks
Stop Task
Cancel a running task. Returns an error if the task is already in a terminal state.
POST
/
tasks
/
{task_id}
/
cancel
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.tasks.stop('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.cancelled);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.tasks.stop(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.cancelled)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Tasks.Stop(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Cancelled)
}mobilerun-cloud tasks stop \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eWas this page helpful?
⌘I